<template>
<form>
  <h2>Form A</h2>
  <div class="row">
    <div class="col-md-6">
      <div class="form-group">
        <label for="">Specify value</label>
        <input type="text" v-model="valueA" class="form-control">
      </div>
    </div>
    <div class="col-md-6">
      <div class="form-group">
        <label for="">Value From B</label>
        <input type="text" v-model="valueFormB" class="form-control" readonly>
      </div>
    </div>
  </div>
</form>
</template>

<script>
export default {
  data () {
    return {
      valueA: ''
    }
  },
  watch: {
    valueA (val) {
      this.$store.dispatch('form/updateValueA', val)
    }
  }
}
</script>

<style>

</style>
